package com.muyu.event.controller;


import com.alibaba.fastjson2.JSONObject;
import com.muyu.rabbitmq.producer.RabbitMQProducerUtil;
import org.apache.kafka.clients.producer.KafkaProducer;
import org.apache.kafka.clients.producer.ProducerRecord;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;


/**
 * 测试
 * @author 刘武
 * @package：com.muyu.event.controller
 * @name：TestController
 * @date：2024/9/29 20:58
 */
@RestController("test")
public class TestController {

    @Resource
    private KafkaProducer kafkaProducer;
    @Resource
    private RabbitMQProducerUtil rabbitMQProducerUtil;


    private static final String topic="four_car";

    @GetMapping("sendKafka")
    public String sendKafka(){

        String message="发送一条信息";
        JSONObject jsonObject = new JSONObject();
        jsonObject.put("cj","hh");
        ProducerRecord<String, String> producerRecord = new ProducerRecord<String, String>(topic,jsonObject.toString());
        kafkaProducer.send(producerRecord);

        return "success";
    }

    @GetMapping("sendMq")
    public String sendMq(){
        String message="发送一条信息-mq";
        rabbitMQProducerUtil.basicSendMessage("basic",message);
        return "success-mq";
    };


















}
