package com.muyu.vehicle.config;

import com.muyu.vehicle.domain.MqttServerModel;
import feign.Client;
import lombok.extern.log4j.Log4j2;
import org.eclipse.paho.client.mqttv3.*;

/**
 * 链接fluxMq
 */
@Log4j2
public class ConnectFluxMq {



    public void FluxMqConnect(String IP,String vin){
        String topic        = "car";
        String broker       = "tcp://"+IP+":1883";
        String clientId     = vin+"vehicleGateway";
        MqttClient client;
        try {
            //创建
         client = new MqttClient(broker,clientId);
            //设置连接参数
            MqttConnectOptions options = new MqttConnectOptions();
            options.setCleanSession(true);
            //连接到Broker
            client.connect(options);
            log.info("Connecting to broker: " + broker);
            //连接
            client.subscribe(topic,0);
            client.setCallback(new MqttCallback() {
                @Override
                public void connectionLost(Throwable throwable) {
                    
                }

                @Override
                public void messageArrived(String s, MqttMessage mqttMessage) throws Exception {

                }

                @Override
                public void deliveryComplete(IMqttDeliveryToken iMqttDeliveryToken) {

                }
            });

        } catch (MqttException e) {
            throw new RuntimeException(e);
        }
    }

}
