package com.muyu.vehicle.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.core.domain.Result;
import com.muyu.vehicle.domain.MqttServerModel;
import com.muyu.vehicle.domain.req.VehicleConnectionReq;
import com.muyu.vehicle.mapper.VehicleConnectMapper;
import com.muyu.vehicle.service.VehicleConnectService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
@Log4j2
public class VehicleConnectServiceImpl extends ServiceImpl<VehicleConnectMapper, VehicleConnectionReq> implements VehicleConnectService {
   @Autowired
   private VehicleConnectMapper vehicleConnectMapper;

    @Override
    public Result<MqttServerModel> getConnect(VehicleConnectionReq vehicleConnectionReq) {
        log.info("车辆连接信息:{}", vehicleConnectionReq);
        //生成密码
        vehicleConnectionReq.setPassword(vehicleConnectionReq.getVehicleVin() + vehicleConnectionReq.getTimestamp()
                + vehicleConnectionReq.getNonce());

        VehicleConnectionReq connection = vehicleConnectMapper.selectByVehicleVin(vehicleConnectionReq.getVehicleVin());
        if (connection==null){
            vehicleConnectMapper.insert(vehicleConnectionReq);
            log.info("车辆预上线成功");
        }else {
            log.info("车辆已预上线成功,禁止重复");
        }
        return null;
    }
}
