package com.muyu.server.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.cache.MessageTemplateTypeCacheService;
import com.muyu.common.domain.MessageTemplateType;
import com.muyu.server.mapper.TemplateNeedMapper;
import com.muyu.server.service.TemplateNeedService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 报文模版 服务层处理
 * @author  liuxinyue
 * @package com.muyu.server.service.impl
 * @name TemplateNeedServiceImpl
 * @date 2024/9/22 14:36
 */
@Service
public class TemplateNeedServiceImpl extends ServiceImpl<TemplateNeedMapper, MessageTemplateType> implements TemplateNeedService {



    @Override
    public List<MessageTemplateType> selectByTemplateId(Long templateId) {

        LambdaQueryWrapper<MessageTemplateType> wrapper = new LambdaQueryWrapper<>();


        wrapper.eq(MessageTemplateType::getTemplateId, templateId);

        return this.list(wrapper);
    }



}
